SystemOrganization addCategory: 'OrbeonWeb'!

SEWAFWebLogin subclass: #WAOrbeonLogin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:03'!
ldapExample_getLdapResultForCurrentUser

	^(System performOnServer:
		'ldapcompare -x -D "cn=admin.orbeon,C=UY" -H ldap://10.255.5.111 "uid=', name,',ou=usuarios,cn=orbeon-test,C=UY" -w orbeon2013  userpassword:', password) trimBlanks! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
ldapExample_getLdapRols
	| str ldapResult rols |

	rols := OrderedCollection new.	
	str := self ldapExample_ldapQueryRole.

	ldapResult := (str subStrings: $#) select: [:e | ((e includesSubString: 'uniquemember')  or:[e includesSubString: 'uniqueMember']) and: [e includesSubString: 'cn:']].	
			
	ldapResult do: [:eachLdap | (eachLdap subStrings: Character lf) do: [:each | (each includesSubString: 'cn:') ifTrue:[rols add: each]]].

	^rols collect: [:each | (each subStrings: $:) last trimBlanks]! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
ldapExample_ldapQueryRole

	^System performOnServer:
		'ldapsearch -x -D "cn=admin.orbeon,C=UY" -H ldap://10.255.5.111 -b "ou=tomcatroles,cn=orbeon-test,C=UY" "uniquemember=uid=', name,',ou=usuarios,cn=orbeon-test,C=UY" -w orbeon2013 '! !

!WAOrbeonLogin methodsFor: 'other' stamp: 'BrunoBB 02/18/2014 04:12'!
newUserFromLogin

	^OrbeonUser new
		name: name;
		addToCache;
		yourself! !

!WAOrbeonLogin methodsFor: 'other' stamp: 'BrunoBB 03/10/2015 17:06'!
style

	^'
h1 {margin-left: 30%;}
body {
	margin-bottom: 25px !!important;
	background-color: darkgrey;
}
#login {
	border-radius: 25px;
	padding-top: 30px;
	padding-bottom: 30px;
    width:50%; 
    margin:0 auto;
	background-color: lightblue;
}
#login form {
    width:50%;
	background-color: lightblue;
	margin-left: 30%;
}
#login form p{
	color: darkred;
}
#user {
	margin-bottom: 5px;
}
#user input {
	margin-left: 40px;
	border-radius: 15px;
}
#password input {
	margin-left: 7px;
	border-radius: 15px;
}
#login-button {
	float: right;
	margin-top: 5px;
	margin-right: 140px;
}
#login-button input {
	border-radius: 25px;
}'! !

!WAOrbeonLogin methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:24'!
tryLogin
	| logedUser |

	"self show: (WAOrbeonHandler on: (OrbeonHandler host: 'localhost' user: 'root' password: 'MYSQL'))"
"	serverResult := self getLdapResultForCurrentUser.
	(serverResult = 'TRUE') ifFalse: [^self inform: 'Login Incorrecto !!!!!!'].

	logedUser := OrbeonUser cache detect: [:each | each name = name] ifNone: [self newUserFromLogin].

	logedUser rols: self getLdapRols asSet."

	((self getGemStoneServerConfiguration loginModeFor: 'orbeon-web') validateUser: name password: password)
	ifFalse: [^loginAttempts := loginAttempts + 1].

	logedUser := OrbeonUser cache at: name.

	self session user: logedUser.

	self show: (WAOrbeonHandler on: OrbeonHandler default)! !

!WAOrbeonLogin methodsFor: 'ldap_example' stamp: 'BrunoBB 11/01/2014 15:04'!
tryLogin2
	| logedUser serverResult |

	"self show: (WAOrbeonHandler on: (OrbeonHandler host: 'localhost' user: 'root' password: 'MYSQL'))"
	serverResult := self ldapExample_getLdapResultForCurrentUser.
	(serverResult = 'TRUE') ifFalse: [^self inform: 'Incorrect Login !!!!!!'].

	logedUser := OrbeonUser cache detect: [:each | each name = name] ifNone: [self newUserFromLogin].

	logedUser rols: self ldapExample_getLdapRols asSet.

	self session user: logedUser.

	self show: (WAOrbeonHandler on: OrbeonHandler default)! !

SewafChildComponent subclass: #OrbeonExportComposite
	instanceVariableNames: 'exportCollection exportMode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:26'!
downloadCSV

	exportCollection isEmpty ifTrue: [^self].

	self exportToCSV: exportCollection fileNamed: 'export.csv' format: self exportCSVClass! !

!OrbeonExportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 05/11/2015 07:34'!
exportCollection
	^exportCollection! !

!OrbeonExportComposite methodsFor: 'Updating' stamp: 'BrunoBB 05/11/2015 07:34'!
exportCollection: newValue
	exportCollection := newValue! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:23'!
exportCSVClass

	(exportMode = self multilineRecursiveExport) ifTrue: [^MultilineRecursiveFormExport].

	(exportMode = self singlelineRecursiveExport) ifTrue: [^SinglelineRecursiveFormExport].

	(exportMode = self singlelineSimpleExport) ifTrue: [^SinglelineSimpleFormExport].! !

!OrbeonExportComposite methodsFor: 'Accessing' stamp: 'BrunoBB 05/11/2015 07:34'!
exportMode
	^exportMode! !

!OrbeonExportComposite methodsFor: 'Updating' stamp: 'BrunoBB 05/11/2015 07:34'!
exportMode: newValue
	exportMode := newValue! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:03'!
exportToCSV: anOrderedCollection fileNamed: fileName
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := MultilineRecursiveFormExport definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:04'!
exportToCSV: anOrderedCollection fileNamed: fileName format: aFormExportProcessClass
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := aFormExportProcessClass definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:02'!
getAllExportOptions

	^Array with: self singlelineSimpleExport
				with: self singlelineRecursiveExport
				with: self multilineRecursiveExport! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
multilineRecursiveExport

	^'Multiline Recursive Export'! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:33'!
renderContentOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Export Mode'.
			html radioGroup
				callback: [:value | exportMode := value];
				selected: exportMode;
				with: [ :group |
					self getAllExportOptions do: [:each |
						html label: [ group radioButton onChange: 'submit()'; value: each.
							html text: each]]].
			html submitButton callback: [self downloadCSV]; with: 'Download CSV'.
		].
	].! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:03'!
sendToClientCSV: fileNamed stream: aStream

	self requestContext respond: [:response | 
        response document: ((aStream contents asByteArray seasideMimeDocument) 
                                        mimeType: 'application/csv'; 
                                        fileName: fileNamed; 
                                        yourself)].! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
singlelineRecursiveExport

	^'Singleline Recursive Export'! !

!OrbeonExportComposite methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 07:03'!
singlelineSimpleExport

	^'Singleline Simple Export'! !

SewafChildComponent subclass: #OrbeonFormList
	instanceVariableNames: 'originalCollection collection searchFields description selectedCommand batchedList orderMode selectionTrack selectedVersion app exportComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

OrbeonFormList subclass: #OrbeonFormDefinitionList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 07/13/2014 15:58'!
booleanValueForDefinition: anOrbeonFormDefinition

	^false! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:35'!
columnApplication

		^(SewafReportColumn selector: #app title: 'Application' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a app < b app ];
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:33'!
columnCreatedTime

		^(SewafReportColumn selector: #createdTime title: 'Created' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a createdTime < b createdTime ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:32'!
columnDeleted

		^(SewafReportColumn selector: #deleted title: 'Deleted' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a deleted < b deleted ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:33'!
columnForm

		^(SewafReportColumn selector: #form title: 'Form' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a form < b form ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:33'!
columnModifiedTime

		^(SewafReportColumn selector: #modifiedTime title: 'Modified' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedTime < b modifiedTime ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:34'!
columnModifiedUser

		^(SewafReportColumn selector: #modifiedUser title: 'Modified By' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a modifiedUser < b modifiedUser ];
			beSortable;
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 02/13/2015 16:01'!
columnVersion

		^(SewafReportColumn selector: #version title: 'Version' onClick: [:each | parent renderFormInstanceFor: each])
			sortBlock: [:a :b | a version < b version];
			yourself! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:51'!
editSelection
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel editDefinition: selection! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:40'!
getCollectionToExport
	| toExport |

	toExport := OrderedCollection new.
	self selectedObjects do: [:each | toExport addAll: each instances asOrderedCollection].

	^toExport! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
hide

	parent hideDefinitionList! !

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 11/01/2014 13:49'!
modifySelection: anOrbeonFormDefinition value: aBoolean

	^self registerSelection: anOrbeonFormDefinition with: aBoolean! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:53'!
new
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel newFormDefinition! !

!OrbeonFormDefinitionList methodsFor: 'other' stamp: 'BrunoBB 05/12/2015 05:33'!
renderContentOn: html

	self renderSidebarOn: html.

	html div id: 'orbeon-formDefinition';
		with: ["self renderFormsDefinitionOn: html"
				collection isEmpty ifTrue: [^html].
				"html image url: (SEWAFFileLibrary / #publicadosbannerPng).
				html div id: 'formularios-publicados'; with: 'Formularios Publicados'.
				html break."
				html div id: 'formularios-def-report'; with: [html render: self reportDefinition]].! !

!OrbeonFormDefinitionList methodsFor: 'selection' stamp: 'BrunoBB 05/12/2015 05:33'!
reportDefinition

	^(SewafBooleanOperationTable parent: self)
		summary: 'Designed Forms';
		buttonsFormId: 'operations-buttons';
		operations: #(#(#editSelection 'Edit') #(#new 'New') #(#synchronizeSelection 'Import Forms') #(#deleteSelection 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		rows: (collection select: [:each | self session user hasReadPermissionOn: each]) asArray; "get collection elements"
		columns: (OrderedCollection new  
						add: self columnForm;
						add: self columnApplication;
						add: self columnVersion;
						add: self columnCreatedTime;
						add: self columnModifiedTime;
						add: self columnModifiedUser;
						add: self columnDeleted;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonFormDefinitionList methodsFor: 'rendering' stamp: 'BrunoBB 03/30/2014 13:43'!
style 
	^ ' body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
#orbeon-formdefinition {
 }
#orbeon-formdefinition a {
     text-decoration: none;
 }
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-style:oblique;
	}
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonFormDefinitionList methodsFor: 'synchronize' stamp: 'BrunoBB 02/09/2015 12:56'!
synchronizeSelection
	"This methos is called when the user click on -Synchronize- button for the selected OrbeonFormDefinition."
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel synchronize: selection! !

OrbeonFormList subclass: #OrbeonFormInstanceDefList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormInstanceDefList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
renderContentOn: html

	self renderSidebarOn: html.

	html div id: 'orbeon-formInstances';
		with: ["self renderFormsInstancesOn: html"
				html heading level3; with: 'Formularios en Diseo'.
				html render: self reportDefinition].! !

!OrbeonFormInstanceDefList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:58'!
reportDefinition

	^WATableReport new
		rows: collection asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #shortId title: 'Id' onClick: [:each | ] );
						add: (SewafReportColumn selector: #app title: 'Application');
						add: (SewafReportColumn selector: #form title: 'Form');
						add: (SewafReportColumn selector: #modifiedTime title: 'Modified Time');
						add: (SewafReportColumn selector: #modifiedUser title: 'Modified By');
						add: (SewafReportColumn selector: #username title: 'User');
						add: (SewafReportColumn selector: #groupname title: 'Group');
						add: (SewafReportColumn selector: #deleted title: 'Deleted');
						yourself);
		rowColors: #(lightblue lightyellow);
		rowPeriod: 1;
		yourself! !

OrbeonFormList subclass: #OrbeonFormInstanceList
	instanceVariableNames: 'selectedSearchField initialSearchField endSearchField initialSearch endSearch form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/01/2015 16:11'!
allArrayText

	^Array with: self allText! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/01/2015 16:11'!
allText

	^'-All-'! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 20:07'!
booleanValueForDefinition: aBoolean

	^false! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:00'!
dbReportColumns

	^OrderedCollection new 
		add: (SewafReportColumn selector: #shortId title: 'Id' onClick: [:each | ] );
		add: (SewafReportColumn selector: #createdTime title: 'Created');
		add: (SewafReportColumn selector: #modifiedTime title: 'Modified Time');
		add: (SewafReportColumn selector: #modifiedUser title: 'Modified By');
		add: (SewafReportColumn selector: #username title: 'User');
		add: (SewafReportColumn selector: #groupname title: 'Group');
		add: (SewafReportColumn selector: #deleted title: 'Deleted');
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel viewInstance: each]; with: [html image url: (SEWAFFileLibrary / #view24Png)]] title: 'View') sortBlock: nil; yourself);
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel editInstance: each]; with: [html image url: (SEWAFFileLibrary / #edit24Png)]] title: 'Edit') sortBlock: nil; yourself);
		add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [self topPanel deleteInstance: each]; with: [html image url: (SEWAFFileLibrary / #remove24Png)]] title: 'Del') sortBlock: nil; yourself);
		yourself! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
edit
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel editInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearch

   "Return the value of the instance variable 'endSearch'."
   ^endSearch! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearch: newValue

   "Modify the value of the instance variable 'endSearch'."
   endSearch := newValue! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearchField

   "Return the value of the instance variable 'endSearchField'."
   ^endSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
endSearchField: newValue

   "Modify the value of the instance variable 'endSearchField'."
   endSearchField := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:08'!
exportToCSV

	exportComponent := exportComponent 
		ifNil: [(OrbeonExportComposite parent: self) exportCollection: collection; yourself]
		ifNotNil: [exportComponent answer. nil]

	"self topPanel exportToCSV: batchedList items fileNamed: description trimBlanks"! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 14:16'!
form

   "Return the value of the instance variable 'form'."
   ^form! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 14:16'!
form: newValue

   "Modify the value of the instance variable 'form'."
   form := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:04'!
getCollectionToExport

	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
hide

	parent hideInstanceList! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearch

   "Return the value of the instance variable 'initialSearch'."
   ^initialSearch! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearch: newValue

   "Modify the value of the instance variable 'initialSearch'."
   initialSearch := newValue! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearchField

   "Return the value of the instance variable 'initialSearchField'."
   ^initialSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
initialSearchField: newValue

   "Modify the value of the instance variable 'initialSearchField'."
   initialSearchField := newValue! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:42'!
modifySelection: anOrbeonFormDefinition value: aBoolean

	^self registerSelection: anOrbeonFormDefinition with: aBoolean! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:32'!
onVersionChanged: value
	| definition |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

	selectedVersion := value.

	definition := self getOrbeonApplicationClass getFromApplicationNamed: app definitionNamed: form version: selectedVersion ifNone: [nil].

	definition isNil "-all- was selected"
	ifTrue: [self setCollection: (self getOrbeonApplicationClass getAllInstancesOf: app definitionNamed: form)]
	ifFalse: [self setCollection: (definition registry getAllInstancesOf: selectedVersion)].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/12/2015 05:51'!
renderContentOn: html
	| tableReport |

	description := app, ' . ', form.

	self renderSidebarOn: html.

	tableReport := self reportDefinition.
	batchedList items: collection asArray. "we assign the collection instances to the component [OrbeonFormDefinition instances] "
	batchedList batchSize: 10.
	tableReport rows: batchedList batch.
	html div id: 'orbeon-formInstances';
		with: ["collection isEmpty ifTrue: [^html]."
				html div id: 'search-form';
					with: [self renderSearchFieldsOn: html].
				html div id: 'search-version'; with: [self renderVersionCombonOn: html.].
				html div id: 'formularios-inst-report'; with: [
					html render: tableReport.
					html render: batchedList].
					].
	html div id: 'export-component'; with: [exportComponent ifNotNil: [html render: exportComponent]].
	html div id: 'back-arrow'; with: 
		[html anchor callback: [self hide];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions']].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 04/03/2015 09:31'!
renderSearchFieldsOn: html

	html form id: 'form-search';
	with: [html fieldSet
		with:[
			html legend with: 'Search Form'.
			html label for: 'searchFields'; with: 'Field'.
			html select 
				list: self selectedDefinition searchFields;
				callback: [:value | self selectedSearchField: value];
				selected: selectedSearchField; 
				id: 'searchFields';
				onChange: 'submit()'. "this cause the page to render again and then we apply the 'hidden class' "
			html label for: 'initSearch'; with: 'From'.
			initialSearchField := html textInput id: 'initSearch'; title: 'Search'; yourself.
			initialSearchField callback: [:value | initialSearch := value]. "we store the entered filter on <searchFields>"
			(parent selectedFieldHasRangeSearch: selectedSearchField) "we get the type"
			ifTrue: [html label for: 'endSearch'; with: 'To'.
				endSearchField := html textInput id: 'endSearch'; title: 'Search'; yourself.
				endSearchField callback: [:value | endSearch := value].] "we store the entered filter on <searchFields>"
			ifFalse: [endSearchField := nil].
			html div id: 'search-buttons';
				with: [html submitButton callback: [self searchForm]; with: 'Search'].
						html submitButton callback: [self exportToCSV]; with: 'Export']].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:32'!
renderVersionCombonOn: html
	| application registry versions |

	application := self getOrbeonApplicationClass applicationNamed: self selectedDefinition app ifNone: [^self].
	registry := application registryForFormNamed: self selectedDefinition form ifNone: [^self].

	versions := self allArrayText ,registry getCurrentVersionNumbers.

	html form id: 'form-version-search';
	with: [html fieldSet
		with:[
			html label for: 'versions'; with: 'Version'.
			html select 
				list: versions;
				callback: [:value | self onVersionChanged: value];
				selected: (selectedVersion ifNil: [versions first]); 
				id: 'versions';
				onChange: 'submit()'. "this cause the page to render again "]].! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
reportDefinition

	^(SewafBooleanOperationTable parent: self)
		summary: 'Forms';
		buttonsFormId: 'operations-buttons-inst';
		operations: #(#(#edit 'Edit') #(#view 'View') #(#viewPdf 'PDF') #(#delete 'Delete'));
		booleanSelector: #booleanValueForDefinition:;
		callbackSelector: #modifySelection:value:;
		beSortable;
		rows: collection asArray; "get collection elements"
		columns: self xmlReportColumns;
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:15'!
searchByRange
	| filterCollection |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

	filterCollection := OrderedCollection new.

	filterCollection addAll: (originalCollection select: [:each | 
			(Number readFrom: initialSearch) <=  (each valueAt: selectedSearchField)
				and:[(each valueAt: selectedSearchField) <=  (Number readFrom: endSearch)]]).

	searchFields := Dictionary new.
	collection := filterCollection asSet asOrderedCollection.
	batchedList items: collection asArray.
	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:15'!
searchEqual
 	| filterCollection |
 
	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].

 	batchedList items isEmpty ifTrue: [^self].
 
 	filterCollection := OrderedCollection new.
 
 	filterCollection addAll: (batchedList items select: [:each | initialSearch match: (each valueAt: selectedSearchField)]).
 
 	searchFields := Dictionary new.
 	collection := filterCollection asSet asOrderedCollection.
 	batchedList items: collection asArray.
 	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 15:15'!
searchEqual2
	| filterCollection definition fieldInstances |

	exportComponent := exportComponent ifNotNil: [exportComponent answer. nil].
	originalCollection isEmpty ifTrue: [^self].

	fieldInstances := originalCollection first definition fieldInstancesOf: selectedSearchField.

 	filterCollection := OrderedCollection new.

	fieldInstances := fieldInstances select: {:each | each.value = initialSearch}. "query using a SelectionBlock -Page 116 Prog Guide GS 3.1-"
	filterCollection addAll: (fieldInstances collect: [:each | each form]).

	searchFields := Dictionary new.
 	collection := filterCollection asSet asArray.
 	batchedList items: collection.
	batchedList currentPage: 1.
	^collection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:45'!
searchForm
	"Search in the list of object which object answer true to the entered filter"

	endSearchField ifNil: [^self searchEqual2].

	^self searchByRange! !

!OrbeonFormInstanceList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 13:43'!
selectedSearchField

   "Return the value of the instance variable 'selectedSearchField'."
   ^selectedSearchField! !

!OrbeonFormInstanceList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 13:43'!
selectedSearchField: newValue

   "Modify the value of the instance variable 'selectedSearchField'."
   selectedSearchField := newValue.! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
showRanges

	self inform: 'test'! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
showRanges: arg

	self inform: arg printString! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 07/04/2014 17:20'!
sortBlockForInstances: value
	
	^[:a : b | | valueA valueB |
		valueA := a valueAt: value.
		valueB := b valueAt: value.
		(valueA notNil and: [valueB notNil]) 
		ifTrue: [valueA <= valueB] 
		ifFalse:[valueA notNil ]
		]! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 13:43'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
th, td {
	background-color: black;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
view
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel viewInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:48'!
viewPdf
	| selection |

	selectionTrack keysAndValuesDo: [:key :value | value ifTrue:[selection := key]].

	selection ifNil: [^self].

	self topPanel viewPDFInstance: selection! !

!OrbeonFormInstanceList methodsFor: 'other' stamp: 'BrunoBB 03/01/2015 06:14'!
xmlReportColumns
	| columns formDefinition |

	columns := OrderedCollection new.
	collection isEmpty ifTrue: [^collection].
	formDefinition := (collection at: 1) definition.
	formDefinition summaryFields do: [:value | | column | "we set labels for the titles of the report"
		column := SewafReportColumn 
						renderBlock: [:each :html | | fieldValue |
							fieldValue := each valueAt: value.
							fieldValue ifNil: [fieldValue := ''].
							fieldValue isEmpty ifFalse: [html anchor callback: [self topPanel viewInstance: each]; with: fieldValue].
							] 
						title: (formDefinition labelAt:value).
		column sortBlock: (self sortBlockForInstances: value);
			beSortable.
		columns add: column].

	^columns! !

!OrbeonFormList class methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
on: collection

	^super new initialize
		collection: collection;
		originalCollection: collection;
		yourself! !

!OrbeonFormList class methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
parent: aWAComponent on: aCollection

	^(self on: aCollection)
			parent: aWAComponent;
			originalCollection: aCollection;
			yourself! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 14:16'!
app

   "Return the value of the instance variable 'app'."
   ^app! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 14:16'!
app: newValue

   "Modify the value of the instance variable 'app'."
   app := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
batchedList

   "Return the value of the instance variable 'batchedList'."
   ^batchedList! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
batchedList: newValue

   "Modify the value of the instance variable 'batchedList'."
   batchedList := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 11/19/2014 12:43'!
clearSelectionTrack

	selectionTrack := Dictionary new.! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
collection

   "Return the value of the instance variable 'collection'."
   ^collection! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
collection: newValue

   "Modify the value of the instance variable 'collection'."
   collection := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
description

   "Return the value of the instance variable 'description'."
   ^description! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
description: newValue

   "Modify the value of the instance variable 'description'."
   description := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
hide

	self subclassResponsibility! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 18:22'!
initialize

	super initialize.

	collection := OrderedCollection new.
	originalCollection := OrderedCollection new.
	searchFields := Dictionary new.
	batchedList := WABatchedList new.
	orderMode := #asc.
	selectionTrack := Dictionary new.! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/31/2014 15:03'!
newCommandButton: command permissionMethod: permissionSymbol imageName: symbolImage title: aString altText: altText

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				"(self session user perform: permissionSymbol with: each)
				ifTrue: ["html anchor callback: [self topPanel perform: command with: each]; 
											with: [html image url: (SEWAFFileLibrary / symbolImage); title: altText; altText: altText]"]
				ifFalse: []"] 
			title: aString) sortBlock: nil; 
			yourself! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:49'!
orderMode

   "Return the value of the instance variable 'orderMode'."
   ^orderMode! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:49'!
orderMode: newValue

   "Modify the value of the instance variable 'orderMode'."
   orderMode := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
originalCollection

   "Return the value of the instance variable 'originalCollection'."
   ^originalCollection! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
originalCollection: newValue

   "Modify the value of the instance variable 'originalCollection'."
   originalCollection := newValue! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 18:23'!
registerSelection: anObject with: aBoolean

	^selectionTrack at: anObject put: aBoolean! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
renderSidebarOn: html! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
searchFields

   "Return the value of the instance variable 'searchFields'."
   ^searchFields! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
searchFields: newValue

   "Modify the value of the instance variable 'searchFields'."
   searchFields := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/30/2014 14:48'!
selectedCommand

   "Return the value of the instance variable 'selectedCommand'."
   ^selectedCommand! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/30/2014 14:48'!
selectedCommand: newValue

   "Modify the value of the instance variable 'selectedCommand'."
   selectedCommand := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 04/03/2015 09:30'!
selectedDefinition

	^parent selectedDefinition! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 05/11/2015 14:50'!
selectedObjects

	^collection select: [:each | selectionTrack at: each]! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 03/31/2015 13:47'!
selectedVersion

   "Return the value of the instance variable 'selectedVersion'."
   ^selectedVersion! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/31/2015 13:47'!
selectedVersion: newValue

   "Modify the value of the instance variable 'selectedVersion'."
   selectedVersion := newValue! !

!OrbeonFormList methodsFor: 'Accessing' stamp: 'BrunoBB 07/13/2014 18:22'!
selectionTrack

   "Return the value of the instance variable 'selectionTrack'."
   ^selectionTrack! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 07/13/2014 18:22'!
selectionTrack: newValue

   "Modify the value of the instance variable 'selectionTrack'."
   selectionTrack := newValue! !

!OrbeonFormList methodsFor: 'Updating' stamp: 'BrunoBB 03/01/2015 06:07'!
setCollection: newValue
   "Modify the value of the instance variable 'collection'."

	collection := newValue.
	originalCollection := newValue.! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:50'!
sortColumn: sortBlock orderMode: aSymbol

	collection :=  (aSymbol = #asc) ifTrue: [(collection asSortedCollection: sortBlock) reverse] ifFalse: [collection asSortedCollection: sortBlock].! !

!OrbeonFormList methodsFor: 'other' stamp: 'BrunoBB 03/30/2014 14:48'!
topPanel

	^parent topPanel! !

SewafChildComponent subclass: #WAOrbeonDbImportReport
	instanceVariableNames: 'importedData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

WAOrbeonDbImportReport subclass: #WAApplicationImportReport
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAApplicationImportReport commentStamp: '' prior: 0!
importedData - aDictionary where each key is the app name and value is a Dictionary where the key is the form name and the value is an ordered collection of form instances.!

!WAApplicationImportReport methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:32'!
generateReportIn: anOrderedCollection

	importedData keysAndValuesDo: [:appKey :appDict |
		appDict keysAndValuesDo: [:formKey :value | | rowReport definition |
			rowReport := FormImportReport app: appKey form: formKey.
			rowReport numberOfForms: value size.
			anOrderedCollection add: rowReport.
			definition := (self getOrbeonApplicationClass applicationNamed: appKey) definitionNamed: formKey.
			definition getFieldsWithHyphen do: [:eachField | | warning |
				warning := FormImportWarning report: rowReport fieldName: formKey.
				warning warningDetails: 'Field name [', eachField name, '] has hyphen character.'.
				rowReport addWarning: warning]]].! !

WAOrbeonDbImportReport subclass: #WADefinitionImportReport
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WADefinitionImportReport commentStamp: '' prior: 0!
importedData - is a Dictionary where the key is the form name and the value is an ordered collection of form instances.!

!WADefinitionImportReport methodsFor: 'other' stamp: 'BrunoBB 04/03/2015 15:47'!
generateReportIn: anOrderedCollection

	importedData do: [:each | | rowReport definition |
		rowReport := FormImportReport app: each app form: each form.
		rowReport numberOfForms: 1.
		anOrderedCollection add: rowReport.
		each definition getFieldsWithHyphen do: [:eachField | | warning |
			warning := FormImportWarning report: rowReport fieldName: eachField name.
			warning warningDetails: 'Field name [', eachField name, '] has hyphen character.'.
			rowReport addWarning: warning]].! !

!WAOrbeonDbImportReport class methodsFor: 'other' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData: aDictionary

	^super new initialize
		importedData: aDictionary;
		yourself! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 08:19'!
createApplicationNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each app]
			title: 'Application Name')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 08:19'!
createFormInstancesRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each numberOfForms]
			title: 'Number of Instances')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 08:19'!
createFormNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each form]
			title: 'Form Name')! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 09:17'!
createWarningButton

	^(SewafReportColumn 
			renderBlock: [:each :html | 
				each hasWarnings ifTrue: [
					html anchor callback: [self showWarningsOf: each]; 
									with: [html image url: (SEWAFFileLibrary / #warningiconPng); 
															title: 'View Warnings'; 
															altText: 'View Warnings'.]]] 
				title: '!!') sortBlock: nil; 
			yourself! !

!WAOrbeonDbImportReport methodsFor: 'Accessing' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData

   "Return the value of the instance variable 'importedData'."
   ^importedData! !

!WAOrbeonDbImportReport methodsFor: 'Updating' stamp: 'BrunoBB 03/03/2015 12:57'!
importedData: newValue

   "Modify the value of the instance variable 'importedData'."
   importedData := newValue! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/03/2015 12:59'!
initialize

	super initialize.

	importedData := Dictionary new.! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:10'!
renderContentOn: html
	| importedObjects |

	importedObjects := OrderedCollection new.

	self generateReportIn: importedObjects.

	html div id: 'imported-data'; with: [
		html render: (self reportTableFor: importedObjects).

		html anchor callback: [self answer: true. parent refresh];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions'].
	]! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 08:59'!
reportTableFor: anOrderedCollection

	^(SewafSelectTableReport summary: 'Imported Definitions')
		rows: anOrderedCollection; "get collection elements"
		columns: (OrderedCollection new 
						add: self createApplicationNameRowReport;
						add: self createFormNameRowReport;
						add: self createFormInstancesRowReport;
						add: self createWarningButton;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonDbImportReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:38'!
showWarningsOf: aFileImportReport

	self show: ((WAOrbeonWarningReport parent: self) 
							warnings: aFileImportReport warnings;
							yourself).! !

SewafChildComponent subclass: #WAOrbeonSummary
	instanceVariableNames: 'definitionsArea instancesArea selectedApplication isDefinitionSide selectedDefinition appList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

WAOrbeonSummary subclass: #WAOrbeonInCreationSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 14:58'!
initialize

	super initialize.

	instancesArea := OrbeonFormInstanceDefList parent: self.! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 12/14/2013 12:54'!
renderContentOn: html

	html div id: 'orbeon-applications';
		with: ["html render: self reportApplications."
				self renderComboOn: html.].
	
	html div id: 'orbeon-instances-def';
		with: [html render: instancesArea.].! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 11/28/2013 16:17'!
renderFormDefinitionFor: anOrbeonApplication! !

!WAOrbeonInCreationSummary methodsFor: 'other' stamp: 'BrunoBB 12/14/2013 13:06'!
renderFormInstanceFor: anOrbeonFormDefinition
	| formDefinitions |

	formDefinitions := self model getAllEditionVersion.

	instancesArea collection: (formDefinitions select: [:each | each app = anOrbeonFormDefinition app]).! !

WAOrbeonSummary subclass: #WAOrbeonInEditionSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/06/2013 15:40'!
initialize

	super initialize.

	definitionsArea := OrbeonFormDefinitionList parent: self.! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/14/2013 12:53'!
renderContentOn: html

	html div id: 'orbeon-applications';
		with: ["html render: self reportApplications."
				self renderComboOn: html.].
	
	html div id: 'orbeon-definitions';
		with: [html render: definitionsArea].! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/16/2013 09:13'!
renderFormDefinitionFor: anOrbeonFormDefinition
	| formDefinitions |

	formDefinitions := self model getAllDefinitionsInEdition.

	definitionsArea collection: (formDefinitions select: [:each | each app = anOrbeonFormDefinition app]).! !

!WAOrbeonInEditionSummary methodsFor: 'other' stamp: 'BrunoBB 12/06/2013 15:43'!
renderFormInstanceFor: anOrbeonFormInstance
	| formInstances |

	"formInstances := self model getAllDefinitionsInEdition.
	instancesArea collection: (formInstances select: [:each | each app = anOrbeonFormInstance app]).
"! !

WAOrbeonSummary subclass: #WAOrbeonPublishedSummary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 11/28/2013 15:00'!
initialize

	super initialize.

	definitionsArea := OrbeonFormDefinitionList parent: self.
	instancesArea := OrbeonFormInstanceList parent: self.! !

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 03/05/2015 13:19'!
renderFormDefinitionFor: anOrbeonApplication

	anOrbeonApplication ifNil: [^self].
	definitionsArea setCollection: anOrbeonApplication getLastDefinitions;
		clearSelectionTrack.! !

!WAOrbeonPublishedSummary methodsFor: 'other' stamp: 'BrunoBB 04/01/2015 16:02'!
renderFormInstanceFor: anOrbeonFormDefinition

	anOrbeonFormDefinition isPublished ifFalse: [^self inform: 'This form is Edition and has not been Published yet !!'].

	selectedDefinition := anOrbeonFormDefinition.
	instancesArea app: anOrbeonFormDefinition app;
		form: anOrbeonFormDefinition form;
		selectedVersion: anOrbeonFormDefinition version;
		setCollection: anOrbeonFormDefinition instances asArray. "set the Web Grid with instances of the receiver"

	definitionsArea hide.! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:31'!
applicationsForCurrentUser

	^self getOrbeonApplicationCache select: [:each | each hasReadAccess: self session user]! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
appList

   "Return the value of the instance variable 'appList'."
   ^appList! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
appList: newValue

   "Modify the value of the instance variable 'appList'."
   appList := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
definitionsArea

   "Return the value of the instance variable 'definitionsArea'."
   ^definitionsArea! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
definitionsArea: newValue

   "Modify the value of the instance variable 'definitionsArea'."
   definitionsArea := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hasSelectedApplication

	^selectedApplication notNil! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hideDefinitionList

	isDefinitionSide := false! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
hideInstanceList

	isDefinitionSide := true! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/04/2015 03:43'!
importNewApplications
	| importedData |

	importedData := parent importNewApplications.

	self show: ((WAApplicationImportReport parent: self) 
							importedData: importedData;
							yourself).! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
initialize

	super initialize.

	isDefinitionSide := true.! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
instancesArea

   "Return the value of the instance variable 'instancesArea'."
   ^instancesArea! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
instancesArea: newValue

   "Modify the value of the instance variable 'instancesArea'."
   instancesArea := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
isDefinitionSide

   "Return the value of the instance variable 'isDefinitionSide'."
   ^isDefinitionSide! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
isDefinitionSide: newValue

   "Modify the value of the instance variable 'isDefinitionSide'."
   isDefinitionSide := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
model

	^parent model! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 02/08/2016 11:32'!
onSelectedApplicationChanged: value

	selectedApplication := self getOrbeonApplicationClass applicationNamed: value ifNone: [^nil].

	self renderFormDefinitionFor: selectedApplication! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/03/2015 14:00'!
refresh

	self renderFormDefinitionFor: selectedApplication! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 02/08/2016 12:47'!
renderComboOn: html

	html form
	with: [
		html fieldSet
		with: [
			html legend with: 'Applications'.
			html select list: appList; title: 'Applications';
				callback: [:value | self onSelectedApplicationChanged: value];
				selected: (selectedApplication ifNotNil: [selectedApplication applicationName] ifNil: ['']);
				onChange: 'submit()'.
			html submitButton callback: [self importNewApplications];
									with: 'Import New Applications'.
			html submitButton callback: [self updateApplication: selectedApplication];
				with: 'Import New Definitions'.
				]
		].! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 12:47'!
renderContentOn: html

	appList := (self applicationsForCurrentUser collect: [:e | e applicationName]) asSortedCollection.

	html div id: 'orbeon-applications';
		with: [isDefinitionSide ifTrue: [self renderComboOn: html].].

	(appList size = 1) ifTrue: [selectedApplication := self getOrbeonApplicationClass applicationNamed: appList last.
										self renderFormDefinitionFor: selectedApplication].

	isDefinitionSide ifTrue: [html div id: 'orbeon-definitions';
			with: [html render: definitionsArea].].

	isDefinitionSide ifFalse: [html div id: 'orbeon-instances';
		with: [html render: instancesArea.].].! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
renderFormDefinitionFor: anOrbeonApplication

	self subclassResponsibility! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
renderFormInstanceFor: anOrbeonFormDefinition

	self subclassResponsibility! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 02/08/2016 11:15'!
reportApplications

	^WATableReport new
		rows: self getOrbeonApplicationCache asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #app title: 'Applications' onClick: [:each | self renderFormDefinitionFor: each] );
						add: ((SewafReportColumn renderBlock: [:each :html | html anchor callback: [parent synchronize: each]; with: [html image url: (SEWAFFileLibrary / #synchronize24Png)]] title: 'Sync') sortBlock: nil; yourself);
						yourself);
		rowColors: (Array with: #lightblue with: #'rgb(242, 248, 240)');
		rowPeriod: 1;
		yourself! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedApplication

   "Return the value of the instance variable 'selectedApplication'."
   ^selectedApplication! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedApplication: newValue

   "Modify the value of the instance variable 'selectedApplication'."
   selectedApplication := newValue! !

!WAOrbeonSummary methodsFor: 'Accessing' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedDefinition

   "Return the value of the instance variable 'selectedDefinition'."
   ^selectedDefinition! !

!WAOrbeonSummary methodsFor: 'Updating' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedDefinition: newValue

   "Modify the value of the instance variable 'selectedDefinition'."
   selectedDefinition := newValue! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
selectedFieldHasRangeSearch: fieldName

	selectedDefinition ifNil: [^true].

	^selectedDefinition hasRangeSearch: fieldName.! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
style
 ^ '
#orbeon-section{
	margin-left: 150px;
}
#orbeon-definitions {
	margin-left: 100px;
	margin-top: -240px;
}
#orbeon-instances {
	margin-left: 100px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	font-color: red;
	}
 body{
     background-color: rgb(223, 228, 206);
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
td, th {
	display: table-cell;
	vertical-align: inherit;
	border-style: groove;
}
#sidebar {
	height: 400px;
	width: 150px;
	position: fixed;
	background-color: lightgray;
	}
#tabs-section {
	margin-top: 70px;
	margin-left: 150px;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 150px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

#tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     /*font-weight: bold; */
     background-color: lightgreen;
 }
 '! !

!WAOrbeonSummary methodsFor: 'other' stamp: 'BrunoBB 03/16/2014 13:59'!
topPanel

	^parent! !

!WAOrbeonSummary methodsFor: 'import' stamp: 'BrunoBB 03/03/2015 13:59'!
updateApplication: anOrbeonApplication
	| importedObjects |

	importedObjects := self topPanel updateApplication: anOrbeonApplication.

	self show: ((WADefinitionImportReport parent: self) 
							importedData: importedObjects;
							yourself).! !

SewafChildComponent subclass: #WAOrbeonWarningReport
	instanceVariableNames: 'warnings'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:36'!
createFieldWarning

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each warning]
			title: 'Warning')! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:36'!
createFormNameRowReport

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each field]
			title: 'Field Name')! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:34'!
renderContentOn: html

	html div id: 'imported-data'; with: [
		html render: self reportWarningsTable.

		html anchor callback: [self answer: true];
			with: [html image  url: (SEWAFFileLibrary / #arrowback4iconPng); altText: 'Back to Definitions'; title: 'Back to Definitions'].
	]! !

!WAOrbeonWarningReport methodsFor: 'other' stamp: 'BrunoBB 03/04/2015 14:36'!
reportWarningsTable

	^(SewafSelectTableReport summary: 'Warnings')
		rows: warnings; "get collection elements"
		columns: (OrderedCollection new 
						add: self createFormNameRowReport;
						add: self createFieldWarning;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!WAOrbeonWarningReport methodsFor: 'Accessing' stamp: 'BrunoBB 03/04/2015 14:33'!
warnings

   "Return the value of the instance variable 'warnings'."
   ^warnings! !

!WAOrbeonWarningReport methodsFor: 'Updating' stamp: 'BrunoBB 03/04/2015 14:33'!
warnings: newValue

   "Modify the value of the instance variable 'warnings'."
   warnings := newValue! !

SEWAFWebAbstractPanel subclass: #OrbeonChartPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonChartPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:08'!
answer

	self answer: true! !

!OrbeonChartPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:08'!
renderContentOn: html

	"html div id: 'user-rol-area';
		with: [html heading level2 with: 'Lista de Usuarios'.
			html div id: 'user-list'; with: [
				html form with: [
					html render: self listOfUsuarios3.
					html div id: 'buttons'; with: [
						html submitButton callback: [self addUser]; with: 'Add User'.
						html break.
						html submitButton callback: [self removeUser]; with: 'Remove User'.].
					]
				].
			html div id: 'rols-list'; with: [
				html render: rolsComponent.].
			html div id: 'rol-type-list'; with: [
				selectedUser ifNotNil: [self renderRoleTypeOn: html]]]."
	html div id: 'close';
		with: [html anchor
				callback: [ self answer ];
				with: 'Volver al Administrador']! !

SEWAFWebAbstractPanel subclass: #OrbeonFormDefinitionSummaryPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 15:03'!
answer

	super answer.

	^model! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldLabelColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | | label |
					label := self model labelAt: each.
					label  := (label size > 20) ifTrue: [label first: 20] ifFalse: [label].
					html text: label.
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: 'Label')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldNameColumn

	^self fieldNameColumnAs:  'Name'! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 03/31/2014 15:36'!
fieldNameColumnAs: aString

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: each
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: aString)! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
fieldTypeColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					html text: (self model typeOf: each)
					"ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ]" ]
			title: 'Type')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2016 09:08'!
listOfFieldNames

	^(SewafSelectTableReport summary: 'Form Fields')
		rows: model getFieldsNames asSortedCollection; "get collection elements"
		columns: (OrderedCollection new 
						add: self fieldNameColumn;
						add: self fieldTypeColumn;
						add: self fieldLabelColumn;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:56'!
listOfPermissions

	^(SewafSelectTableReport summary: 'Grants')
		rows: model permissionsCollection; "get collection elements"
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'Grants');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:57'!
listOfSearchFields

	^(SewafSelectTableReport summary: 'Serach Fields')
		rows: model searchFields asSortedCollection; "get collection elements"
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'Serach Fields');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:57'!
listOfSummaryFields

	^(SewafSelectTableReport summary: 'List Heading')
		rows: model summaryFields asSortedCollection; "get collection elements"
		columns: (OrderedCollection new 
						add: (self fieldNameColumnAs: 'List Heading');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: model;
		yourself! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:25'!
logout
	
	self session logout.	
	self session unregister.
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/WAOrbeonLogin')! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:58'!
renderBannerOn: html

	html div id: 'banner';
"		class: 'section';"
		with: [ html image url: (SEWAFFileLibrary / #orbeonbannerPng);
								altText: 'Image title'].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 13:55'!
renderContentOn: html

	self renderWAOrbeonHandlerShapeOn: html.

	html div id: 'info-area';
		with: [html heading level2 with: 'Form Structure: [', model app, '].[', model form, ']'.
			html div id: 'field-names'; with: [
					html render: self listOfFieldNames.
				].
			html div id: 'search-types'; with: [
					html render: self listOfSearchFields.
				].
			html div id: 'summary'; with: [
					html render: self listOfSummaryFields.
				].
			html div id: 'permissions'; with: [
					html render: self listOfPermissions.
				].
	html div id: 'close-button'; with:[html form with: [
					html fieldSet with: [html submitButton callback: [self answer]; with: 'Close'.]]]
	].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/12/2014 14:55'!
renderWAOrbeonHandlerShapeOn: html

	self renderBannerOn: html.

	"self renderSidebarOn: html."

	html div id: 'content'; 
				with: [html render: nil.].! !

!OrbeonFormDefinitionSummaryPanel methodsFor: 'other' stamp: 'BrunoBB 07/13/2014 15:19'!
style
 ^ '
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#info-area {
	margin-left: 200px;
}
#field-names {
	float: left;
	margin-right: 30px;
}
#search-types {
	float: left;
	margin-right: 30px;
}
#summary {
	float: left;
	margin-right: 30px;
}
#close-button form fieldset{
	border: none;
}
#close-button input.submit {
	width: 150px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 550px;
	float: right;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
 body{
     background-color: silver;
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}

#banner {
	margin-top: -8px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

 #tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     background-color: gray; 
 } 

a img {
	padding-left: 4px;
	padding-top: 4px;
}
.batch {
	text-align: center;}
 .hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;}'! !

SEWAFWebAbstractPanel subclass: #OrbeonUserWebManagerPanel
	instanceVariableNames: 'userCollection rolsComponent selectedUser rolTypeComponent selectedRoleType username password'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonUserWebManagerPanel class methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
collection: anOrderedCollection

	^super new initialize;
			userCollection: anOrderedCollection;
			yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'users' stamp: 'BrunoBB 03/19/2015 16:40'!
addUser
	| newUser |

	newUser := OrbeonUser new 
		name: username;
		password: password;
		addToCache;
		yourself.

	selectedUser := newUser.
	userCollection add: selectedUser.! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
answer

	self answer: true! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
booleanValueForRol: rolName

	^selectedUser hasRol: rolName! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:04'!
modifyRol: rolName value: aBoolean

	aBoolean ifFalse: [^selectedUser removeRol: rolName].

	^selectedUser addRol: rolName! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 16:15'!
nameReportColumn

	^(SewafReportColumn 
			renderBlock: [:each :html | 			
					(selectedUser == each) 
					ifTrue: [html text: each name]
					ifFalse: [html anchor callback: [self showRolsFor: each]; with: each name ] ]
			title: 'Name')! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 03/19/2015 16:28'!
password

   "Return the value of the instance variable 'password'."
   ^password! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 03/19/2015 16:28'!
password: newValue

   "Modify the value of the instance variable 'password'."
   password := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'users' stamp: 'BrunoBB 03/19/2015 16:37'!
removeUser

	selectedUser ifNil: [^self].

	selectedUser removeFromCache.

	userCollection remove: selectedUser ifAbsent: []! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:33'!
renderContentOn: html

	self renderUserCreateSearchPanelOn: html.
	html div id: 'user-rol-area';
		with: [html heading level2 with: 'User List'.
			html div id: 'user-list'; with: [
				html form with: [
					html render: self userList.
					html div id: 'buttons'; with: [
						html break.
						html submitButton callback: [self removeUser]; with: 'Remove User'.].
					]
				].
			html div id: 'rols-list'; with: [
				html render: rolsComponent.].
			html div id: 'rol-type-list'; with: [
				selectedUser ifNotNil: [self renderRoleTypeOn: html]]].! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:06'!
renderRoleTypeOn: html

	html form id: 'form-rol-type'; with: [
		html fieldSet with: [
			html legend with: 'Role Type'.
			html label for: 'tipoDeRol'; with: 'Current Role'.
			html select callback: [:value | selectedRoleType := value];
							list: OrbeonManagerRole allManagerRolNames; 
							id: 'tipoDeRol';
							title: 'Role Type';
							selected: selectedUser managerRolName.
			html submitButton callback: [self updateRoleTypeWith: selectedRoleType];
				with: 'Modify'.
		]
	]! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:35'!
renderUserCreateSearchPanelOn: html

	html div id: 'form-user-panel';
		with: [html form with: [
					html fieldSet with: [
						html legend with: 'Users'.
						html label with: 'User Name'.
						html textInput callback: [:value | username := value].
						html label with: 'Password'.
						html textInput callback: [:value | password := value].
						html submitButton callback: [self addUser]; with: 'Create User'.
						html break.
						html submitButton callback: [self searchUser]; with: 'Search User'.].
	]	].! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
rolsComponent

   "Return the value of the instance variable 'rolsComponent'."
   ^rolsComponent! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
rolsComponent: newValue

   "Modify the value of the instance variable 'rolsComponent'."
   rolsComponent := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 16:24'!
rolsTableReportFor: anOrbeonUser

	^(SewafBooleanSelectTable parent: self)
		summary: 'User Roles';
		buttonLabel: 'Confirm';
		booleanSelector: #booleanValueForRol:;
		callbackSelector: #modifyRol:value:;
		rows: OrbeonUser allRols asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #yourself title: 'Role');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:39'!
rolTypeComponent

   "Return the value of the instance variable 'rolTypeComponent'."
   ^rolTypeComponent! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:39'!
rolTypeComponent: newValue

   "Modify the value of the instance variable 'rolTypeComponent'."
   rolTypeComponent := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:08'!
rolTypeListFor: anOrbeonUser

	^(SewafBooleanSelectTable parent: self)
		summary: 'User Roles';
		booleanSelector: #booleanValueForRol:;
		callbackSelector: #modificarRol:valor:;
		rows: OrbeonUser allRols asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: (SewafReportColumn selector: #yourself title: 'Role');
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:32'!
searchUser

	userCollection := (OrbeonUser cache select: [:each | username match: each name]) asOrderedCollection! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:39'!
selectedRoleType

   "Return the value of the instance variable 'selectedRoleType'."
   ^selectedRoleType! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:39'!
selectedRoleType: newValue

   "Modify the value of the instance variable 'selectedRoleType'."
   selectedRoleType := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
selectedUser

   "Return the value of the instance variable 'selectedUser'."
   ^selectedUser! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
selectedUser: newValue

   "Modify the value of the instance variable 'selectedUser'."
   selectedUser := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
showRolsFor: anOrbeonUser

	selectedUser := anOrbeonUser.
	rolsComponent := self rolsTableReportFor: anOrbeonUser.! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:34'!
states
	"states holds a part of the state of our web application "
	"for now answer the root state "

	^Array with: self! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/18/2014 09:18'!
style
 ^ '
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	margin-top: -19px;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#manager-options {
	margin-left: 200px;
}
#manager-option {
	display: inline-block;
	margin-right: 20px;
	margin-left: 20px;
}
#user-rol-area {
	margin-left: 200px;
	margin-top: -50px;}
#user-rol-area h2 {margin-top: 30px;}
#user-list {
	float: left;
	margin-top: -30px;
	display: inline-block;
}
#user-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rols-list {
	display: inline-block;
	margin-left: 50px;
	float: left;
	width: 200px;
	margin-top: -30px;
}
#rols-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rol-type-list {
	margin-top: -15px;
	display: inline-block;
	margin-left: 100px;
}
#rol-type-list fieldset {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list legend {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list label {
	margin-right: 10px;
}
#rol-type-list select {
	margin-right: 10px;
}
#rol-type-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
 body{
     background-color: silver;
 }
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}

#banner {
	margin-top: -8px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }

 #tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }

#tabs li a:hover{
     background-color: gray; 
 } 

a img {
	padding-left: 4px;
	padding-top: 4px;
}
.batch {
	text-align: center;}
 .hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;}'! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/16/2014 13:49'!
updateRoleTypeWith: roleTypeName

	selectedUser managerRole: (OrbeonManagerRole getClassForName: roleTypeName) new! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 02/16/2014 13:34'!
userCollection

   "Return the value of the instance variable 'userCollection'."
   ^userCollection! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 02/16/2014 13:34'!
userCollection: newValue

   "Modify the value of the instance variable 'userCollection'."
   userCollection := newValue! !

!OrbeonUserWebManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:05'!
userList

	^(SewafSelectTableReport summary: 'User List')
		rows: userCollection asArray; "get collection elements"
		columns: (OrderedCollection new 
						add: self nameReportColumn;
						yourself);
		rowColors: #(white white);
		rowPeriod: 1;
		selectedObject: selectedUser;
		yourself! !

!OrbeonUserWebManagerPanel methodsFor: 'Accessing' stamp: 'BrunoBB 03/19/2015 16:28'!
username

   "Return the value of the instance variable 'username'."
   ^username! !

!OrbeonUserWebManagerPanel methodsFor: 'Updating' stamp: 'BrunoBB 03/19/2015 16:28'!
username: newValue

   "Modify the value of the instance variable 'username'."
   username := newValue! !

!SEWAFWebObjectPanel methodsFor: '*orbeonWeb' stamp: 'BrunoBB 06/04/2015 06:42'!
importNewApplications

	^self model importNewApplications! !

SEWAFWebObjectPanel subclass: #WAOrbeonHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonHandler class methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 10:46'!
canBeRoot

	^true! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
editDefinition: anOrbeonFormDefinition

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/orbeon/builder/edit/', anOrbeonFormDefinition id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
editInstance: anOrbeonFormInstance

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance app, '/', anOrbeonFormInstance form, '/edit/', anOrbeonFormInstance id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 05/10/2015 15:24'!
exportToCSV: anOrderedCollection fileNamed: fileName
	| export stream |

	anOrderedCollection isEmpty ifTrue: [^self].

	export := MultilineRecursiveFormExport definition: anOrderedCollection last definition formsCollection: anOrderedCollection.
	export generatePrintArray.
	stream := export printMatrixToWriteStream.

	self sendToClientCSV: fileName, '.csv' stream: stream.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 03/02/2015 03:43'!
exportToCSVInstancesOf: anOrbeonFormDefinition

	self exportToCSV: anOrbeonFormDefinition instances asOrderedCollection
		fileNamed: (anOrbeonFormDefinition app, '.', anOrbeonFormDefinition form)! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/14/2014 10:14'!
initialize

	super initialize.

	self initializeSummary.! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/30/2014 04:59'!
initializeSummary

	selectedTab := WAOrbeonPublishedSummary parent: self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 11/27/2013 13:32'!
initializeTabs

	tabs := Dictionary new
		at: 'Publicados' put: (WAOrbeonPublishedSummary parent: self);
		at: 'En Edicin' put: (WAOrbeonInEditionSummary parent: self);
		at: 'En Desarrollo' put: (WAOrbeonInCreationSummary parent: self);
		yourself.

	selectedTab := Array with: 'Publicados' with: (tabs at: 'Publicados').! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:25'!
logout

	self session logout.	
	self session unregister.
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/orbeon')! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/30/2014 05:00'!
model: aModel

	super model: aModel.

	"self initializeTabs."

	self initializeSummary.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
newFormDefinition

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/orbeon/builder/new'! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:55'!
newFormUsing: anOrbeonFormDefinition

	self requestContext redirectTo: self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormDefinition app, '/', anOrbeonFormDefinition form, '/new'! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 12/13/2013 15:22'!
renderChildrenOn: html

	"html div id: 'content'; with: [
		tabs do: [:each |
			html heading: each key.
			html paragraph; render: each value.
			]
	]"
	html div id: 'content'; with: [
			"html heading level3; with: selectedTab first."
			html paragraph; render: selectedTab second.
			]! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 03/17/2015 16:57'!
renderContentOn: html

	self renderBannerOn: html.

	self renderTopbarOn: html.

	html div id: 'content'; 
				with: [html render: selectedTab.].! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 12/06/2013 17:52'!
renderTabsOn: html

	html unorderedList id: 'tabs'; with: [
		#('Publicados' 'En Edicin' 'En Desarrollo') do: [:key | | value |
			value := tabs at: key.
			html listItem: [
				html anchor
					class: (selectedTab first = key ifTrue: ['active']);
					style: (selectedTab first = key ifTrue: ['background-color: gray; border-style: ridge;'] ifFalse:['background-color: lightgray; border-style: ridge;']);
					callback: [selectedTab := (Array with: key with: value)];
					with: key
				]
			]
		].! !

!WAOrbeonHandler methodsFor: 'render' stamp: 'BrunoBB 11/02/2014 10:16'!
renderTopbarOn: html

	html div id: 'top-bar';
		class: 'section';
		with: [
				html anchor callback: [self newFormDefinition];
						with: [html image  url: (SEWAFFileLibrary / #edit24Png); altText: 'New Form Definition'; title: 'New Form Definition'].
				self session user isAdmin ifTrue:[
					html anchor callback: [self setupConfiguration];
							with: [html image  url: (SEWAFFileLibrary / #formConfigPng); altText: 'System Configuration'; title: 'System Configuration']].
				html anchor callback: [self logout];
						with: [html image  url: (SEWAFFileLibrary / #logouticonPng); altText: 'Logout'; title: 'Logout'].
				]! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 03/02/2015 03:31'!
sendToClientCSV: fileNamed stream: aStream

	self requestContext respond: [:response | 
        response document: ((aStream contents asByteArray seasideMimeDocument) 
                                        mimeType: 'application/csv'; 
                                        fileName: fileNamed; 
                                        yourself)].! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 03/10/2014 10:50'!
setupConfiguration

	self show: (WAOrbeonManagerPanel on: OrbeonHandler default)! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 07/13/2014 15:08'!
showSummary: anOrbeonFormDefinition

	self show: (OrbeonFormDefinitionSummaryPanel on: anOrbeonFormDefinition)! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 12/05/2013 10:15'!
states
	"states holds a part of the state of our web application "
	"for now answer the root state "

	^Array with: self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 05/12/2015 05:55'!
style
 ^ '
a img {
	padding-left: 4px;
	padding-top: 4px;
}
#banner {
	margin-top: -8px;
}
.batch {
	text-align: center;}
body{
     background-color: silver;
 }
#content{
    font-family: arial;
    text-align: justify;
  /*   margin-left: 180px;*/
    margin-right: 5px;
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 5px;
    background-color: silver;
}
#export-component { 
	/*display: flex;*/
	margin-top: 10px;
	margin-bottom: 10px;
    width: 45%;
    margin-right: auto;
	margin-left: auto;
	float: inherit;
}
#export-component form { 
    width: 60%;
}
#export-component fieldset {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	margin-left: -30px;
}
#export-component fieldset label {
	display: block; 
	margin-top: 8px;
}
#export-component fieldset legend {
	background-color: beige; 
	border-radius: 5px;
}
#export-component input.submit {
	float: right;
	width: 140px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#formularios-def-report {
    height: 360px;
	overflow: auto;
}
#formularios-def-report table {
    margin: auto;
}
#formularios-def-report table fieldset {
    margin: auto;
}
#formularios-def-report tbody a {
	text-decoration: none;
	color: black;
}
#formularios-inst-report {
    height: auto;
	overflow: auto;
}
#formularios-inst-report form{
	height: auto;
	overflow: auto;
	margin-left: auto;
	margin-right: auto;
	width: 90%;
}
#formularios-inst-report table {
    margin: auto;
}
#formularios-inst-report tbody a {
	text-decoration: none;
	color: black;
}
 #formularios-publicados {
	height: 45px;
	width: 100%;
	background-color: honeydew;
	border-radius: 10px;
	font-family: "Trebuchet MS";
	font-size: xx-large;
	text-align: center;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
.hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}
#imported-data {
	margin-left: 200px;
	width: 950px;
	margin-top: 40px;
}
#imported-data table {
	text-align: center;
}
#orbeon-applications { 
	/*display: flex;*/
	margin-top: 10px;
	margin-bottom: 10px;
    width: 45%;
    margin-right: auto;
	margin-left: auto;
	float: inherit;
}
#orbeon-applications fieldset {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	margin-left: -30px;
}
#orbeon-applications fieldset legend {
	background-color: beige; 
	border-radius: 5px;
}
#orbeon-applications form select {
	height: 30px;
	width: 250px;
	background-color: lavender;
	font-size: larger;
	border-radius: 8px;
	margin-right: 5px;
}
#orbeon-applications input.submit {
	width: 180px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#operations-buttons fieldset {
	margin-left: auto;
	margin-top: 10px;
	margin-right: auto;
	/*width: 470px;*/
	width: 52%;
	padding-left: 100px;
}
#operations-buttons input.submit {
	width: 150px;
	height: 35px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-right: 5px;
}
#operations-buttons-inst fieldset {
	margin-left: auto;
	margin-top: 10px;
	margin-right: auto;
	/*width: 470px;*/
	width: 40%;
	padding-left: 100px;
}
#orbeon-definitions {
	/*margin-left: 195px;
	margin-top: -335px;*/
	margin-bottom: 10px;
	/* overflow: auto; */
/*	border-style: inset;*/
	border-width: 3px;
}
#orbeon-instances {
/*	overflow: auto;*/
 /*   height: 500px; */
/*	border-style: inset;*/
	border-width: 3px;
	margin-top: 35px;
}
#orbeon-instances form {
	border-radius: 10px;
	display: inline-block;
	margin-bottom: 10px;
}
#orbeon-instances fieldset {
	border: 0;
}
#orbeon-instances form select {
	height: 25px;
	width: 325px;
	background-color: lavender;
	font-size: medium;
	border-radius: 8px;
	margin-left: 10px;
	margin-right: 10px;
}
#orbeon-instances input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
#orbeon-instances input.text {
	width: 150px;
	height: 25px;
	font-size: medium;
	background-color: lavender;
	border-radius: 10px;
	margin-left: 10px;
	margin-right: 10px;
}
#orbeon-instances-def {
/*	margin-left: 195px;*/
	margin-top: -301px;
}
#organismo-formulario {
	margin-top: 10px;
	border-radius: 15px;
	background-color: beige;
	border-style: outset;
	border-width: 2px;
	height: 30px;
	font-size: 20px;
}
.reportColumn 
{
	font-family: "Trebuchet MS";
	font-size: 18px;
	/*border-radius: 6px; */
	text-align: center;
}
#search-buttons {
	display: inline-block;
}
#search-form {
	width: 70%;
	margin: 0 auto;
}
#search-form form  {
	border-radius: 10px;
	border-style: outset;
	border-width: 2px;
	display: inline-block;
	margin-bottom: 10px;
	background-color: beige;
}
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
}
#search-version {
	width: 30%;
	margin: 0 auto;
}
#search-version form fieldset select {
	width: 80px;
}
.sort-buttons {
	float: initial;
	display: -webkit-inline-box;
}	
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
/*	table-layout: fixed;*/
	width: 1000px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#tabs{
    list-style-type: none;
	margin-left: -40px;
 }
#tabs li{
     display: inline;
 }
#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none
; }
#tabs li a:hover{
     background-color: gray; 
 } 
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}
#top-bar { 
/*	margin-left: 200px; */
	padding-right: 20px;
	border-radius: 20px;
	height: 30px;
	text-align: right;
	float: right;
	padding-left: 10px;
	background-color: beige;
}'! !

!WAOrbeonHandler methodsFor: 'synchronization' stamp: 'BrunoBB 04/03/2015 16:00'!
synchronize: anOrbeonFormDefinition

	"See ISSUE: #71.
	https://github.com/brunobuzzi/OrbeonBridgeForGemStone/issues/71"

	model importDataOf: anOrbeonFormDefinition version: anOrbeonFormDefinition version printString! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 12/03/2013 14:25'!
topPanel

	^self! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 01/23/2014 05:16'!
updateApplication: anOrbeonApplication

	^model updateApplication: anOrbeonApplication! !

!WAOrbeonHandler methodsFor: 'other' stamp: 'BrunoBB 02/15/2014 16:43'!
updateRoot: anHtmlRoot
	"This method allow to use CSS and JavaScript"

	anHtmlRoot meta responseHeaderName: 'Content-Style-Type'; content: 'text/css'.

	super updateRoot: anHtmlRoot.

	anHtmlRoot title: 'Persona Web Panel'.! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/02/2016 14:56'!
viewInstance: anOrbeonFormInstance

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance app, '/', anOrbeonFormInstance form, '/view/', anOrbeonFormInstance id! !

!WAOrbeonHandler methodsFor: 'object operations' stamp: 'BrunoBB 02/03/2016 09:25'!
viewPDFInstance: anOrbeonFormInstance

	self requestContext redirectTo:  self getOrbeonWebServerConfiguration orbeonIP, '/orbeon/fr/', anOrbeonFormInstance app, '/', anOrbeonFormInstance form, '/pdf/', anOrbeonFormInstance id! !

SEWAFWebObjectPanel subclass: #WAOrbeonManagerPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/18/2015 05:54'!
backToOrbeon

	selectedToolBarOption := 'orbeon-web'.

	self answer: true! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:24'!
logout

	self session logout.	
	self session unregister.	
	self requestContext redirectTo: (self getGemStoneServerConfiguration gemstoneIP, '/orbeon')! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderChartsOn: html

	html div id: 'chart-option';
		with: [html div id: 'chart-graph'; 
						with: [html label with: 'Graficas de Formularios'.
								html break.
								html anchor callback: [self showCharts];
												with: [html image url: (SEWAFFileLibrary / #charticonPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:40'!
renderContentOn: html

	self renderBannerOn: html.

	self renderOptionsOn: html.
	arena notNil 
		ifTrue: [html div id: 'managerPanel'; style: 'margin-left: 0px;';
					with: [html render: arena].]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderGarbageCollectorOn: html

	html div id: 'manager-option';
		with: [html div id: 'garbage-collector'; 
						with: [html label with: 'Depurar Repositorio'.
								html break.
								html anchor callback: [self systemCollectGarbage];
												with: [html image url: (SEWAFFileLibrary / #databaseactiveiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:10'!
renderLoginModeIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'login-mode') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self setLoginMode]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #appspreferencessystemlogin64Png); 
												class: imgClass; 
												title: 'Set Login Mode';
												altText: 'Set Login Mode'].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:17'!
renderManageGemsOn: html

	html div id: 'manager-option';
		with: [html div id: 'manage-gems'; 
						with: [html label with: 'Manage Gems'.
								html break.
								html anchor callback: [self systemManageGems];
												with: [html image url: (SEWAFFileLibrary / #diamondiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:16'!
renderManageSurveysOn: html

	html div id: 'manager-option';
		with: [html div id: 'survey-manager'; 
						with: [html label with: 'Manage Surveys'.
								html break.
								html anchor callback: [self showSurveyManager];
												with: [html image url: (SEWAFFileLibrary / #documentsiconPng).]].
		]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 06:18'!
renderManageUsersIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'manage-users') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html div id: 'manager-option';
		with: [html div id: 'user-manager'; 
						with: [html anchor callback: [self setupUser];
										with: [html image url: (SEWAFFileLibrary / #officecustomermaleiconPng);
																class: imgClass; 
																title: 'Manage Users';
																altText: 'Manage Users']].
	]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:21'!
renderOptionsOn: html

	html div id: 'manager-options'; 
		with: [
			html div class: 'top-toolbar-menu top-toolbar-menu-x2'; with: [
				self renderLoginModeIconOn: html. 
				self renderServerConfigurationSettingOn: html.].
			html div class: 'top-toolbar-menu top-toolbar-menu-x1'; with: [
				self renderManageUsersIconOn: html].
			html div class: 'top-toolbar-menu top-toolbar-menu-x1'; with: [
				self renderOrbeonWebIconOn: html].
		"		self renderManageSurveysOn: html.
				self renderGarbageCollectorOn: html. 
				self renderManageGemsOn: html.
				self renderRestartOrbeonTomcatOn: html.
				self renderChartsOn: html."].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:09'!
renderOrbeonWebIconOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'orbeon-web') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self backToOrbeon]; 
					class: 'marginLeft5px';
					with: [html image url: (SEWAFFileLibrary / #appsGoogleDriveFormsPng); 
												class: imgClass; 
												title: 'Back to Forms';
												altText: 'Back to Forms'].! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
renderRestartOrbeonTomcatOn: html

	html div id: 'manager-option';
		with: [html div id: 'restart-tomcat'; 
						with: [html label with: 'Restart Orbeon Tomcat'.
								html break.
								html anchor callback: [self restartTomcat];
												with: [html image url: (SEWAFFileLibrary / #runiconPng).]].
	]! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/18/2015 06:21'!
renderServerConfigurationSettingOn: html
	| imgClass |

	imgClass  := (selectedToolBarOption = 'servers-configuration') ifTrue: ['top-toolbar-menu-selected-item'] ifFalse: [nil].

	html anchor callback: [self serversConfiguration]; 
					class: 'marginLeft15px';
					with: [html image url: (SEWAFFileLibrary / #serversetting64Png); 
												class: imgClass; 
												title: 'Servers Configuration';
												altText: 'Servers Configuration'].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/23/2014 15:28'!
restartTomcat

	"System performOnServer:  '' "! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/03/2016 09:41'!
serversConfiguration

	selectedToolBarOption := 'servers-configuration'.
	arena ifNotNil: [arena answer: true].
	arena := FormOrbeonServerConfigurationComposite parent: self.! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/19/2015 16:53'!
setLoginMode

	selectedToolBarOption := 'login-mode'.

	arena ifNotNil: [arena answer: true].

	arena := FormOrbeonLoginModeComposite parent: self! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/19/2015 16:53'!
setupUser

	selectedToolBarOption := 'manage-users'.
	arena ifNotNil: [arena answer: true].
	arena := OrbeonUserWebManagerPanel collection: OrderedCollection new.
	arena mainPanel: self.
	arena onAnswer: [:answer | arena := nil].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 02/23/2014 15:51'!
showCharts

	arena := OrbeonChartPanel new.
	arena mainPanel: self.
	arena onAnswer: [ :answer | arena := nil].! !

!WAOrbeonManagerPanel methodsFor: 'commands' stamp: 'BrunoBB 03/04/2014 11:33'!
showSurveyManager! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 03/19/2015 16:44'!
style
 ^ '
a img {
	padding-left: 4px;
	padding-top: 4px;
}
#banner {
	margin-top: -8px;
}
.batch {
	text-align: center;
}
body{
     background-color: silver;
 }
#close a {
	margin-left: 120px;
}
#content{
     font-family: arial;
     text-align: justify;
     margin-left: 180px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: silver;
 }
#form-user-panel {
	margin-top: 100px;
	margin-left: 200px;
	background-color: beige;
	border-style: inset;
	border-radius: 15px;
	border-width: 2px;
	width: 950px;
	margin-bottom: 20px;
}
#form-user-panel form {
	width: 950px;
}
#form-user-panel form fieldset { 
	border: 0;
}
#form-user-panel form fieldset input { 
	border-radius: 10px;
	background-color: lavender;
	margin-right: 5px;
}
#form-user-panel form fieldset select { 
	border-radius: 10px;
	background-color: lavender;
	margin-right: 5px;
}
#form-user-panel form fieldset label { 
	margin-right: 5px;
}
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }
.hidden {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}
#login-mode-configuration { 
	display: flex;
	margin-left: 200px;
	margin-top: 100px;
}
#login-mode-configuration form {
	width: 390px;
	margin: 10px auto 10px 250px;
}
#login-mode-configuration form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#login-mode-configuration form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#login-mode-configuration form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#login-mode-configuration form fieldset label { 
	display: block;
}
#login-mode-configuration form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
.marginLeft5px {
	margin-left: 5px;
}
.marginLeft10px {
	margin-left: 10px;
}
.marginLeft15px {
	margin-left: 15px;
}
#manager-options {
	/*margin-left: 200px; */
}
#manager-option {
	display: inline-block;
	margin-left: 5px;
}
.reportColumn 
{
	font-family:"Times New Roman", Times, serif;
	font-size: 20px;
	/*border-radius: 6px; */
	}
#rols-list {
	display: inline-block;
	margin-left: 50px;
	float: left;
	width: 200px;
}
#rols-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
#rol-type-list {
	display: inline-block;
}
#rol-type-list fieldset {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list legend {
	border-radius: 15px;
	background-color: beige;
}
#rol-type-list label {
	margin-right: 10px;
}
#rol-type-list select {
	margin-right: 10px;
}
#rol-type-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
}
#server-configuration { 
	display: flex;
	margin-left: 200px;
	margin-top: 100px;
}
#server-configuration form {
	width: 390px;
	margin: 10px auto 10px 250px;
}
#server-configuration form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#server-configuration form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#server-configuration form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#server-configuration form fieldset label { 
	display: block;
}
#server-configuration form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
#sidebar {
	border-radius: 25px;
	height: 400px;
	width: 180px;
	position: absolute;
	text-align: center;
	background-color: gray;
	background-repeat: repeat-x;
	border-style: ridge;
	margin-left: -4px;
	}
#tabs{
    list-style-type: none;
	margin-left: -40px;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
	 border-radius: 20px;
     width: 80px;
     height: 25px;
     color: #000;
     background-color: #EEEEEE;
     margin: 1px;
     padding: 0.5em;
     font-size: 30px;
     text-decoration: none; 
}
#tabs li a:hover{
     background-color: gray; 
 } 
table {
	display: table;
	border-collapse: separate;
	border-spacing: 2px;
	border-color: red;
}
th, td {
	display: table-cell;
	vertical-align: inherit;
	border-bottom: white;
	border-width: 1px;
	border-style: inset;
	width: 1px;
	white-space: nowrap;
}
#top-bar { 
	padding-right: 20px;
	border-radius: 20px;
	height: 30px;
	text-align: right;
	float: right;
	padding-left: 10px;
	background-color: beige;
}
.top-toolbar-menu { /* menu with 1 tool link */
	margin-right: 10px;
	/* margin-bottom: 10px; */
	/* padding-right: 2px; */
	/*height: 75px; */
	float: left;
	border-radius: 15px;
	background-color: beige;
	padding-right: 9px;
	padding-top: 7px;
	padding-left: 1px;
}
.top-toolbar-menu-x1 { /* menu with 1 tool link */
	width: 72px;
}
.top-toolbar-menu-x2 { /* menu with 2 tool link */
	width: 160px;
}
.top-toolbar-menu-x3 { /* menu with 3 tool link */
	width: 215px;
}
.top-toolbar-menu-x4 { /* menu with 4 tool link */
	width: 288px;
}
.top-toolbar-menu-selected-item {
	background-color: silver;
	border-style: inset;
	border-width: 1px;
	border-radius: 10px;
}
#tabs-section {
	margin-top: 70px; 
	margin-left: 180px;
	 padding-left: 5px;
} 
#user-password-widget {
	margin-top: 90px;
	width: 390px;
	margin-top: 90px;
	margin-left: 200px;
}
#user-password-widget form fieldset { 
	border-radius: 10px;
	border-style: inset;
	background-color: rgb(163, 187, 164);
}
#user-password-widget form fieldset input[type="text"]{ 
	border-radius: 10px;
	border-style: inset;
	width: 350px;
	margin-bottom: 10px;
}
#user-password-widget form fieldset input[type="submit"]{ 
	border-radius: 10px;
	width: 150px;
	border-right: 10px;
}
#user-password-widget form fieldset label { 
	display: block;
}
#user-password-widget form fieldset select { 
	border-radius: 10px;
	border-style: inset;
	display: block;
	width: 350px;
	margin-bottom: 10px;
}
#user-rol-area {
	margin-left: 200px;
}
#user-rol-area h2 {
	margin-top: 30px;
}
#user-list {
	float: left;
	display: inline-block;
}
#user-list form table {
	width: 300px;
	text-align: center;
}
#user-list input.submit {
	width: 120px;
	height: 30px;
	font-size: medium;
	background-color: lavender;
	border-radius: 12px;
	margin-top: 5px;
}
'! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
systemCollectGarbage

	self inform: 'Garbage Collected'! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
topPanel

	^self! !

!WAOrbeonManagerPanel methodsFor: 'other' stamp: 'BrunoBB 02/23/2014 15:28'!
updateRoot: anHtmlRoot
	"This method allow to use CSS and JavaScript"

	anHtmlRoot meta responseHeaderName: 'Content-Style-Type'; content: 'text/css'.

	super updateRoot: anHtmlRoot.

	anHtmlRoot title: 'Persona Web Panel'.! !

WASession subclass: #WAOrbeonSession
	instanceVariableNames: 'user password rols'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
isLoggedIn

    ^user isNil not! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
login: aString
    user := aString! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
logout
    user := nil! !

!WAOrbeonSession methodsFor: 'Accessing' stamp: 'BrunoBB 12/23/2013 17:47'!
password

   "Return the value of the instance variable 'password'."
   ^password! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
password: newValue

   "Modify the value of the instance variable 'password'."
   password := newValue! !

!WAOrbeonSession methodsFor: 'Accessing' stamp: 'BrunoBB 12/23/2013 17:47'!
rols

   "Return the value of the instance variable 'rols'."
   ^rols! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
rols: newValue

   "Modify the value of the instance variable 'rols'."
   rols := newValue! !

!WAOrbeonSession methodsFor: 'other' stamp: 'BrunoBB 12/23/2013 17:47'!
user
    ^ user! !

!WAOrbeonSession methodsFor: 'Updating' stamp: 'BrunoBB 12/23/2013 17:47'!
user: newValue

   "Modify the value of the instance variable 'user'."
   user := newValue! !

SEWAFWebListPanel subclass: #OrbeonRolListPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:07'!
addObject: anObject
	"The paramenter <anObject> perform the <addSelector> of the receiver with the <model>.
	The <addSelector> method should link <anObject> with <model> is some convinience way"
	| selectedObject |
"
	selectedObject := self chooseFrom: (PersonaUAIP cache collect: [:e | e name]) caption: 'Seleccione Persona' onAnswer: [:each | each].
mainPanel halt.
	^model perform: addSelector with: selectedObject"! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:08'!
editObject: anObject

	"mainPanel show: (PersonaUAIPWebPanel new model: anObject; yourself) "! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:01'!
renderContentOn: html

	html div id: 'arena';
		with: [html heading level2 with: 'User List'.
			html render: self userList]! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:06'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonRolListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:01'!
userList
	| columns |

	columns := OrderedCollection new.
	columns 
		add: (Array with: 'Username' with: #name  with:  [ :each | self inform: each name onAnswer: [ ] ]);
		add: (Array with: 'Password' with: #password  with:  nil);
		asArray;
		yourself.

	^self newReportWithProperties: columns! !

SEWAFWebListPanel subclass: #OrbeonUserListPanel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
addObject: anObject
	"The paramenter <anObject> perform the <addSelector> of the receiver with the <model>.
	The <addSelector> method should link <anObject> with <model> is some convinience way"
	| selectedObject |
"
	selectedObject := self chooseFrom: (PersonaUAIP cache collect: [:e | e name]) caption: 'Seleccione Persona' onAnswer: [:each | each].
mainPanel halt.
	^model perform: addSelector with: selectedObject"! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
editObject: anObject

	"mainPanel show: (PersonaUAIPWebPanel new model: anObject; yourself) "! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:02'!
renderContentOn: html

	html div id: 'arena';
		with: [html heading level2 with: 'User List'.
			html render: self userList]! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 01/26/2014 04:10'!
style
 ^ '
 body{
     background-color: #aeeeee;
 }
#header{
     width: 100%;
     height: 40px;
     padding-left: 5px;
     background-color: #d7eeee;
 }

#content{
     font-family: arial;
     text-align: justify;
     margin-left: 5px;
     margin-right: 5px;
     padding-left: 5px;
     padding-right: 5px;
     padding-top: 5px;
     padding-bottom: 5px;
     background-color: #f7eeee;
 }

#tabs{
     list-style-type: none;
 }

#tabs li{
     display: inline;
 }

#tabs li a{
     text-align: center;
     width: 100%;
     height: 25px;
     color: #000;
     background-color: #d7eeee;
     margin: 0.5em;
     padding: 0.5em;
     font-size: 12px;
     text-decoration: none
; }

#tabs li a:hover{
     font-weight: bold;
 }
 '! !

!OrbeonUserListPanel methodsFor: 'other' stamp: 'BrunoBB 11/01/2014 14:02'!
userList
	| columns |

	columns := OrderedCollection new.
	columns 
		add: (Array with: 'Username' with: #name  with:  [ :each | self inform: each name onAnswer: [ ] ]);
		add: (Array with: 'Password' with: #password  with:  nil);
		asArray;
		yourself.

	^self newReportWithProperties: columns! !

SEWAFWebObjectComposite subclass: #FormOrbeonLoginModeComposite
	instanceVariableNames: 'modeType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
initialize

	super initialize.

	modeType := (self getGemStoneServerConfiguration loginModeFor: 'orbeon-processes-web') modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
ldapLoginModeName

	^OrbeonLdapLogin modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
loginModeNames

	^Array
		with: self ldapLoginModeName
		with: OrbeonProcessWebLocalLogin modeName! !

!FormOrbeonLoginModeComposite methodsFor: 'Accessing' stamp: 'BrunoBB 03/17/2015 05:29'!
modeType

   "Return the value of the instance variable 'modeType'."
   ^modeType! !

!FormOrbeonLoginModeComposite methodsFor: 'Updating' stamp: 'BrunoBB 03/17/2015 05:29'!
modeType: newValue

   "Modify the value of the instance variable 'modeType'."
   modeType := newValue! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
renderContentOn: html

	html div id: 'login-mode-configuration';
		with: [self renderLoginModeOn: html].! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
renderLdapOptionsOn: html

	self getGemStoneServerConfiguration setLdapFor: 'orbeon-processes-web'.
	html break.
	html label with: 'Ldap IP'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb ldapIP: value]; 
		with: self getGemStoneServerConfiguration ldapIpForWebProcess.
	html label with: 'Distinguished Name'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb dn: value]; 
		with: self getGemStoneServerConfiguration dnForWebProcess.
	html label with: 'Organizational Unit'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb ou: value]; 
		with: self getGemStoneServerConfiguration ouForWebProcess.
	html label with: 'Bind Password'.
	html textInput callback: [:value | self getGemStoneServerConfiguration loginModeForProcessWeb bindPassword: value]; 
		with: self getGemStoneServerConfiguration bindPasswordForWebProcess.! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
renderLoginModeOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Login Mode'.
			html radioGroup
				callback: [:value | modeType := value];
				selected: modeType;
				with: [ :group |
					self loginModeNames do: [:each |
						html label: [ group radioButton onChange: 'submit()'; value: each.
							html text: each]]].
			(modeType = self ldapLoginModeName) 
			ifTrue: [self renderLdapOptionsOn: html]
			ifFalse: [self setLocalLoginMode].
			html submitButton callback: [self saveLoginMode]; with: 'Save Login Mode'.
		].
	].! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 05:29'!
saveLoginMode! !

!FormOrbeonLoginModeComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:26'!
setLocalLoginMode

	self getGemStoneServerConfiguration setLocalForProcesses! !

SEWAFWebObjectComposite subclass: #FormOrbeonServerConfigurationComposite
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonWeb'!

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:11'!
renderContentOn: html

	html div id: 'server-configuration'; with: [
		self session user isAdmin 
		ifTrue: [self renderServerConfigurationFormOn: html]
		ifFalse: [self renderServerConfigurationViewOn: html].
	]! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:10'!
renderServerConfigurationFormOn: html

	html form with: [
		html fieldSet with:[
			html legend with: 'Servers Configuration'.
					self renderServerConfigurationSettingOn: html.
					].
				].! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:39'!
renderServerConfigurationSettingOn: html

	html label attributeAt: 'for' put: 'databaseIP'; with: ('Database IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseIP'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databaseIP: value]; 
			with: self getOrbeonDatabaseConfiguration databaseIP.
	html label attributeAt: 'for' put: 'databaseUser'; with: ('Database User' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databaseUser'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databaseUser: value]; 
			with: self getOrbeonDatabaseConfiguration databaseUser.
	html label attributeAt: 'for' put: 'databasePassword'; with: ('Database Password' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'databasePassword'; 
			callback: [:value | self getOrbeonDatabaseConfiguration databasePassword: value]; 
			with: self getOrbeonDatabaseConfiguration databasePassword.
	html label attributeAt: 'for' put: 'orbeonIP'; with: ('Orbeon IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'orbeonIP'; 
			callback: [:value | self getOrbeonWebServerConfiguration orbeonIP: value]; 
			with: self getOrbeonWebServerConfiguration orbeonIP.
	html label attributeAt: 'for' put: 'gemstoneIP'; with: ('GemStone/S IP' translateFor: self session user).
	html textInput attributeAt: 'id' put: 'gemstoneIP'; 
			callback: [:value | self getGemStoneServerConfiguration gemstoneIP: value]; 
			with: self getGemStoneServerConfiguration gemstoneIP.
	html submitButton callback: [self savePreferences]; with: ('Save Preferences' translateFor: self session user).! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 09:39'!
renderServerConfigurationViewOn: html

	html label with: 'Database IP'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databaseIP: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databaseIP.
	html label with: 'Database User'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databaseUser: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databaseUser.
	html label with: 'Database Password'.
	html textInput 
		callback: [:value | self getOrbeonDatabaseConfiguration databasePassword: value]; 
		readonly: true; 
		with: self getOrbeonDatabaseConfiguration databasePassword.
	html label with: 'Orbeon IP'.
	html textInput 
		callback: [:value | self getOrbeonWebServerConfiguration orbeonIP: value]; 
		readonly: true; 
		with: self getOrbeonWebServerConfiguration orbeonIP.
	html label with: 'GemStone/S IP'.
	html textInput 
		callback: [:value | self getGemStoneServerConfiguration gemstoneIP: value]; 
		readonly: true; 
		with: self getGemStoneServerConfiguration gemstoneIP.! !

!FormOrbeonServerConfigurationComposite methodsFor: 'other' stamp: 'BrunoBB 03/17/2015 15:10'!
savePreferences! !
